FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build-env

WORKDIR /app

COPY *.csproj ./

RUN dotnet restore

RUN dotnet add package Microsoft.Data.Sqlite

COPY . ./

RUN dotnet build --configuration Debug

CMD ["bash"]

